[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.FindFirst

Find the first active record (deprecated)

## Declaration

Source position: db.pas line 1691

`public function TDataSet.FindFirst: Boolean; virtual;`

## Function result

True if the cursor position was changed.

## Description

FindFirst positions the cursor on the first record (taking into account filtering), and returns True if the cursor position was changed. This method must be implemented by descendents of TDataset: The implementation in TDataset always returns False, indicating that the position was not changed.

This method is deprecated, use TDataset.First instead.

## See also

TDataset.First |  | Position the dataset on the first record.
TDataset.FindLast |  | Find the last active record (deprecated)
TDataset.FindNext |  | Find the next active record (deprecated)
TDataset.FindPrior |  | Find the previous active record (deprecated)